Bug 815117 - Can't pxeboot Fedora 17 Beta using images/pxeboot/vmlinuz and initrd.img
Can't pxeboot Fedora 17 Beta using images/pxeboot/vmlinuz and initrd.img
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 12:15 EDT by Jack Yatteau
Modified: 2012-09-27 06:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 06:11:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of PXE boot attempt. (118.17 KB, image/png)
2012-04-25 13:21 EDT, Adam DiFrischia
no flags Details
init.log from Fedora 17 x86_64 PXE boot (188.02 KB, text/plain)
2012-06-12 10:32 EDT, Sean Smith
no flags Details
init.log from Fedora 17 x86_64 with ip=dhcp added (222.82 KB, text/plain)
2012-06-12 12:04 EDT, Sean Smith
no flags Details

  None (edit)
Description Jack Yatteau 2012-04-22 12:15:13 EDT
Description of problem:
Probably the same issue as #802042.  Procedure that works for Fedora 16 fails for Fedora 17 Beta, at least on Dell R610 (Intel x86_64).

Version-Release number of selected component (if applicable):
Fedora 17-Beta as of 4/22/2012

How reproducible:
Always
  
Actual results:
Loading times out to Boot failed

Expected results:
Installation
Comment 1 Daniel Walsh 2012-04-23 10:09:42 EDT
Not sure why this got assigned to me.  Bill do you have any idea where to assign this?  Should it also go to Lorax?
Comment 2 Adam DiFrischia 2012-04-25 13:16:54 EDT
I am also getting this issue. Same procedure I've been using for booting Fedora 14/15 installs as well as RHEL/CentOS installs fails for the beta.

How reproducible:
Always

Actual results:
After udevd renames network interfaces, drops to debug shell. After pausing a few seconds after renaming interfaces, I get the following:

[ 28.774194] dracut Warning: Unable to process initqueue
[ 28.774833] dracut Warning: /dev/root deos not exist

Dropping to debug shell.

dracut:/#

Expected results:
Booting into Anaconda for install.
Comment 3 Adam DiFrischia 2012-04-25 13:21:58 EDT
Created attachment 580221 [details]
Result of PXE boot attempt.
Comment 4 Jakub Jelinek 2012-05-07 12:12:07 EDT
Yeah, this is a usability nightmare.  I usually just grab the vmlinuz + install.img, put it into /boot/, edit grub.conf and reboot.
Why can't it e.g. hardcode the
https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
path if root is not specified, fetch that, and pick up squashfs.img from some mirror given by that?
Comment 5 Stephen P. Schaefer 2012-05-18 18:27:41 EDT
I get this too.  Once at the dracut prompt, is there a workaround?  Or is PXE boot just out of the question for now?
Comment 6 Sean Smith 2012-06-09 20:11:33 EDT
Getting the exact same behaviour with the full release of 17.  Looking for a fix.
Comment 7 Harald Hoyer 2012-06-12 09:05:44 EDT
can you add "rd.shell rd.debug" to the kernel command line and then you are dropped to a dracut shell.

mount /boot or a USB stick manually and save "/run/initramfs/init.log". Then attach this file here in the bugzilla.
Comment 8 Sean Smith 2012-06-12 10:32:26 EDT
Created attachment 591208 [details]
init.log from Fedora 17 x86_64 PXE boot

I have attached an init.log, as requested, from a Fedora 17 (GA release) x86_64 PXE boot done by a KVM guest.  The md5sums and file info on the kernel and initrd are as follows:
cbf35f7052fd9c315e821898a860c1be  initrd.img
5265c3296c7b262c9e3ce61bacac08e5  vmlinuz
-rw-r--r--. 2 root root 24337760 May 22 16:55 initrd.img
-rwxr-xr-x. 2 root root  4662160 May  7 13:35 vmlinuz

They were retrieved out of the directory releases/17/Fedora/x86_64/os/images/pxeboot of a Fedora mirror server located at rsync://fedora.mirrors.tds.net/fedora-enchilada just as I had similarly done with Fedora 16, and not had any issue.

If there is any other information needed, please let me know.
Comment 9 Harald Hoyer 2012-06-12 11:55:09 EDT
I don't see any BOOTIF given on the kernel command line, which is normally given by the PXE loader.

To workaround that add "ip=dhcp" to the kernel command line
Comment 10 Sean Smith 2012-06-12 12:04:48 EDT
Created attachment 591231 [details]
init.log from Fedora 17 x86_64 with ip=dhcp added

Sorry. The additional parameters did not improve the situation.  Still drops out at the same point.
Comment 11 Dan Waddell 2012-06-14 00:11:01 EDT
I was having the same issue tonight, but was able to resolve it by modifying the append options in my pixie boot to this.

"append ksdevice=link initrd=/kernels/f17_i386/initrd.img repo=nfs:<NFS server IPL>:/a/"

The "repo" option just needs to be set and pointing to a legit repository. In my case its an nfs export containing the the install media.

Hope that helps.  See here for more details:

http://docs.fedoraproject.org/en-US/Fedora/17/html/Release_Notes/sect-Release_Notes-Changes_for_Sysadmin.html
Comment 12 Sean Smith 2012-06-14 13:39:51 EDT
Feeling very embarrassed for not checking the Release Notes.  Thanks, Dan.  Fixed the problem immediately.  I added a stage2= and everything's working.  Sorry for the trouble, and hope it fixes the folks who were trying to do the Beta builds.

Note You need to log in before you can comment on or make changes to this bug.